from PyQt6.QtWidgets import (
    QApplication,
    QMainWindow,
    QMenu,
    QStyle,
    QProxyStyle,
    QStyleOptionMenuItem
)
from PyQt6.QtGui import QFontMetrics, QPalette
from PyQt6.QtCore import QRect, Qt

# -------
class Style(QProxyStyle):
    def __init__(self, style=None):
        super().__init__(style)

    def drawControl(self, element, option, painter, widget):
        if element == QStyle.ControlElement.CE_MenuItem:
            super().drawItemText(
                painter,
                option.rect,
                Qt.AlignmentFlag.AlignRight,
                option.palette,
                True,
                option.text,
                QPalette.ColorRole.ButtonText
            )
        else:
            return super().drawControl(element, option, painter, widget)


# -------
class MainWindow(QMainWindow):
    def __init__(self):
        super().__init__()

        file_menu = QMenu("File", self)
        file_menu.addAction("New")
        file_menu.addAction("Open")
        file_menu.addAction("Transform")

#       file_menu.setStyle(Style(file_menu.style()))  # Seems to crash on exit if I do this
        file_menu.setStyle(Style())

        self.menuBar().addMenu(file_menu)

# -------
if __name__ == '__main__':
    app = QApplication([])
    app.setStyle('Fusion')
    main_window = MainWindow()
    main_window.show()
    app.exec()
